package com.fjhx.entity.rfid;

import lombok.Data;

import java.util.List;

/**
 * @Description: RFID读写器
 * @ClassName: RFIDClient
 * @Author: linqt
 * @Date: 2022/3/16 11:38
 * @Version: 1.0
 */
@Data
public class RFIDClient {

    /**
     * 读写器IP
     */
    private String ip;

    /**
     * 读写器端口
     */
    private int port;

    /**
     * 多个读写器IP
     */
    private List<String> ipList;

    /**
     * 读取时间
     */
    private Long readTime;

    /**
     * 编号
     */
    private Integer num;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 是否推送到华为云IOT平台
     */
    private Boolean isSendIot;
}
