package com.fjhx.rfid.r2000.udp.service;

import com.fjhx.entity.rfid.RFIDClient;
import com.fjhx.utils.AjaxResult;

/**
 * @Description:
 * @ClassName: UdpService
 * @Author: linqt
 * @Date: 2022/3/18 11:22
 * @Version: 1.0
 */
public interface UdpService {

    /**
     * 启动单台
     *
     * @param client
     * @return
     */
    public AjaxResult startOne(RFIDClient client);

    /**
     * 关闭单台
     *
     * @param client
     * @return
     */
    public AjaxResult closeOne(RFIDClient client);


    /**
     * 启动多台
     *
     * @param client
     * @return
     */
    AjaxResult openMore(RFIDClient client);
}
