package com.fjhx.constant;

/**
 * @Description:
 * @ClassName: RedisKeyConstant
 * @Author: linqt
 * @Date: 2022/3/18 9:25
 * @Version: 1.0
 */
public class RedisKeyConstant {

    /**
     * rabbitmq缓存key
     */
    public static final String RABBITMQ_REDIS_CACHE_KEY = "rabbitmq:messageId:";

    /**
     * rfid tcp数据缓存key前缀
     */
    public static final String RFID_TCP_DATA_REDIS_CACHE_PREFIX = "rfid:tcp:{0}:data";

    /**
     * rfid udp数据缓存key前缀
     */
    public static final String RFID_UDP_DATA_REDIS_CACHE_PREFIX = "rfid:udp:{0}:data";

    /**
     * rfid 缓存key前缀
     */
    public static final String RFID_REDIS_CACHE_PREFIX = "sd:rfid:{0}:data";
}
